TEXFILES=$(wildcard *.tex)
TEXFILES=boolean_logical_indexing.tex control_structures.tex data_structures.tex plotting_spike_trains.tex programming_basics.tex scripts_functions.tex sta_stc.tex variables_datatypes.tex vectors_matrices.tex

PDFFILES=$(TEXFILES:.tex=.pdf)

pdf : $(PDFFILES)

$(PDFFILES) : %.pdf : %.tex
	pdflatex -interaction=scrollmode $< | tee /dev/stderr | fgrep -q "Rerun to get cross-references right" && pdflatex -interaction=scrollmode $< || true

clean :
	rm -f *~ $(TEXFILES:.tex=.aux) $(TEXFILES:.tex=.log) $(TEXFILES:.tex=.out) $(TEXFILES:.tex=.nav) $(TEXFILES:.tex=.snm) $(TEXFILES:.tex=.toc) $(TEXFILES:.tex=.vrb)

cleanall : clean
	rm -f $(PDFFILES)

watch :
	while true; do ! make -q pdf && make pdf; sleep 0.5; done


